Ticket #11605: trac_11605-pari_spkg-install_fixes.spkg.patch

File trac_11605-pari_spkg-install_fixes.spkg.patch, 3.4 KB (added by leif, 9 years ago)

SPKG patch. For review only. (Based on a p6 by me with Dima's patch applied.)

  • SPKG.txt

    # HG changeset patch
    # User Leif Leonhardy <not.really@online.de>
    # Date 1310830255 -7200
    # Node ID 5b16b49559d5aee36d6250eaa1fe4f72388c2172
    # Parent  f9ab69a56dcefac3341db871642ba7d4de11f10c
    #11605 (2.4.3.alpha.p7) Fix typo and exit 1 if build fails.
    
    === pari-2.4.3.alpha.p7 (Leif Leonhardy, July 16th, 2011) ===
     * #11605: Fix typo in spkg-install and add `exit 1` (again) in case
       the build fails.
     * Quote some more variables and filenames in messages.
    
    Also added GNU patch to the dependencies section and
    fixed the years of the previous three Changelog entries... ;-)
    
    diff -r f9ab69a56dce -r 5b16b49559d5 SPKG.txt
    a b  
    3434 * MPIR (in place of GMP)
    3535 * Readline
    3636 * Termcap
     37 * GNU patch (shipped with Sage)
    3738
    3839== Special Update/Build Instructions ==
    3940
     
    7980
    8081== Changelog ==
    8182
    82 === pari-2.4.3.alpha.p6 (Dima Pasechnik, 22 April, 2010) ===
     83=== pari-2.4.3.alpha.p7 (Leif Leonhardy, July 16th, 2011) ===
     84 * #11605: Fix typo in spkg-install and add `exit 1` (again) in case
     85   the build fails.
     86 * Quote some more variables and filenames in messages.
     87
     88=== pari-2.4.3.alpha.p6 (Dima Pasechnik, 22 April, 2011) ===
    8389 * made a proper check for libpari.dll on Cygwin, as described in
    8490   trac #10240
    8591
    86 === pari-2.4.3.alpha.p5 (Jeroen Demeyer, January 23th, 2010) ===
     92=== pari-2.4.3.alpha.p5 (Jeroen Demeyer, January 23th, 2011) ===
    8793 * Avoid parallel "make install" because of race conditions.
    8894 * Remove Makefile_mv.patch because it doesn't actually fix the race
    8995   conditions in "make install".
    9096
    91 === pari-2.4.3.alpha.p4 (Jeroen Demeyer, January 11th, 2010) ===
     97=== pari-2.4.3.alpha.p4 (Jeroen Demeyer, January 11th, 2011) ===
    9298 * Ticket #10430 (fixing also #9620, #10279, #10369, #10559)
    9399 * Use `patch` to apply patches (at -p0 level because this is how svn
    94100   gives the diffs).
  • spkg-install

    diff -r f9ab69a56dce -r 5b16b49559d5 spkg-install
    a b  
    1717#######################################################################
    1818cd src
    1919for patch in ../patches/*.patch; do
    20     patch -p0 <$patch
     20    patch -p0 <"$patch"
    2121    if [ $? -ne 0 ]; then
    22         echo >&2 "Error applying $patch"
     22        echo >&2 "Error applying '$patch'"
    2323        exit 1
    2424    fi
    2525done
     
    182182    fi
    183183
    184184    $MAKE $PARI_MAKEFLAGS gp
    185     if [ $? -ne 0]; then
    186         echo >&2 "Error: building PARI/GP failed."
     185    if [ $? -ne 0 ]; then
     186        echo >&2 "Error: Building PARI/GP failed."
     187        exit 1
    187188    fi
    188189}
    189190
     
    262263    pari_shlib="libpari.so"
    263264fi
    264265if [ ! -f "$SAGE_LOCAL/lib/$pari_shlib" ]; then
    265     echo "Error: PARI's shared library $pari_shlib has not been installed!"
     266    echo "Error: PARI's shared library '$pari_shlib' has not been installed!"
    266267    exit 1
    267268fi
  • .hgtags

    # HG changeset patch
    # User Leif Leonhardy <not.really@online.de>
    # Date 1310830319 -7200
    # Node ID 4b9a7ea1dd3f2b121b0a84281d8b00f435e8efd5
    # Parent  5b16b49559d5aee36d6250eaa1fe4f72388c2172
    Added tag pari-2.4.3.alpha.p7 for changeset 5b16b49559d5
    
    diff -r 5b16b49559d5 -r 4b9a7ea1dd3f .hgtags
    a b  
    1126c5d37c38e66a7482edead52c12be64df467bce pari-2.4.3.alpha.p5
    22401890d1ad4dbaba69b837c431181046e8aca0a8 pari-2.4.3.alpha.p6
     35b16b49559d5aee36d6250eaa1fe4f72388c2172 pari-2.4.3.alpha.p7